const directives = new WeakSet();
export function isDirective(directiveCallback) {
    return directives.has(directiveCallback);
}
export function processDirective(part, value) {
    if (isDirective(value)) {
        value(part);
        return true;
    }
    return false;
}
export function directive(directiveFactory) {
    return (...values) => {
        const callback = directiveFactory(...values);
        directives.add(callback);
        return callback;
    };
}
//# sourceMappingURL=directive.js.map