import { NodeTemplatePart } from '@github/template-parts';
import type { TemplateTypeInit } from '@github/template-parts';
interface CSPTrustedHTMLToStringable {
    toString: () => string;
}
interface CSPTrustedTypesPolicy {
    createHTML: (s: string) => CSPTrustedHTMLToStringable;
}
export declare class TemplateResult {
    readonly strings: TemplateStringsArray;
    readonly values: unknown[];
    processor: TemplateTypeInit;
    constructor(strings: TemplateStringsArray, values: unknown[], processor: TemplateTypeInit);
    static cspTrustedTypesPolicy: CSPTrustedTypesPolicy | null;
    static setCSPTrustedTypesPolicy(policy: CSPTrustedTypesPolicy | null): void;
    get template(): HTMLTemplateElement;
    renderInto(element: Node | NodeTemplatePart): void;
}
export {};
//# sourceMappingURL=template-result.d.ts.map